%bcond_with wayland

Name:       e17-misc
Summary:    E17 Config files
Version:    0.5.1
Release:    1
Group:      Graphics & UI Framework/Configuration
License:    BSD-2-Clause
Source0:    %{name}-%{version}.tar.gz
Source1001: 	e17-misc.manifest
BuildRequires: pkgconfig(eet)
BuildRequires: eet-tools
%if !%{with wayland}
Requires:   e17
%endif

%description
The E17 extra configuration files

%prep
%setup -q
cp %{SOURCE1001} .

%build
%autogen
%configure --prefix=/opt/home/app
make

%install
%make_install

# for license notification
mkdir -p %{buildroot}/usr/share/license
cp -a COPYING %{buildroot}/usr/share/license/%{name}

%ifarch %{arm}
# ARM build target
%__mkdir_p %{buildroot}/opt/home/app/.e/apps
%__cp -afr %{_arch}/opt/home/app/.e/apps/* %{buildroot}/opt/home/app/.e/apps

%__mkdir_p %{buildroot}/opt/home/app/.e/e/applications
%__cp -afr %{_arch}/opt/home/app/.e/e/applications/* %{buildroot}/opt/home/app/.e/e/applications

%__mkdir_p %{buildroot}/opt/home/app/.e/e/backgrounds
%__cp -afr %{_arch}/opt/home/app/.e/e/backgrounds/* %{buildroot}/opt/home/app/.e/e/backgrounds

%__cp -afr %{_arch}/opt/home/app/.e/e/config/*.cfg %{buildroot}/opt/home/app/.e/e/config
%__cp -afr %{_arch}/opt/home/app/.e/e/config/samsung/*.cfg %{buildroot}/opt/home/app/.e/e/config/samsung

%else

%if 0%{?simulator}
# emul build target
%__mkdir_p %{buildroot}/opt/home/app/.e/apps
%__cp -afr emulator/opt/home/app/.e/apps/* %{buildroot}/opt/home/app/.e/apps

%__mkdir_p %{buildroot}/opt/home/app/.e/e/applications
%__cp -afr emulator/opt/home/app/.e/e/applications/* %{buildroot}/opt/home/app/.e/e/applications

%__mkdir_p %{buildroot}/opt/home/app/.e/e/backgrounds
%__cp -afr emulator/opt/home/app/.e/e/backgrounds/* %{buildroot}/opt/home/app/.e/e/backgrounds

%__cp -afr emulator/opt/home/app/.e/e/config/*.cfg %{buildroot}/opt/home/app/.e/e/config
%__cp -afr emulator/opt/home/app/.e/e/config/samsung/*.cfg %{buildroot}/opt/home/app/.e/e/config/samsung

%else
# IA build target
%__mkdir_p %{buildroot}/opt/home/app/.e/apps
%__cp -afr %{_arch}/opt/home/app/.e/apps/* %{buildroot}/opt/home/app/.e/apps

%__mkdir_p %{buildroot}/opt/home/app/.e/e/applications
%__cp -afr %{_arch}/opt/home/app/.e/e/applications/* %{buildroot}/opt/home/app/.e/e/applications

%__mkdir_p %{buildroot}/opt/home/app/.e/e/backgrounds
%__cp -afr %{_arch}/opt/home/app/.e/e/backgrounds/* %{buildroot}/opt/home/app/.e/e/backgrounds

%__cp -afr %{_arch}/opt/home/app/.e/e/config/*.cfg %{buildroot}/opt/home/app/.e/e/config
%__cp -afr %{_arch}/opt/home/app/.e/e/config/samsung/*.cfg %{buildroot}/opt/home/app/.e/e/config/samsung

%endif
%endif

%__mkdir_p %{buildroot}%{_sysconfdir}/skel
 %__cp -af %{buildroot}/opt/home/app/.e %{buildroot}%{_sysconfdir}/skel/.e

%pre
if [ ! -e "home/app" ]
then
   %__mkdir_p /home/app
fi
chown 5000:5000 /home/app
chmod 755 /home/app

%post
# XXX comptibility with sysvinit-based images
chown -R 5000:5000 /opt/home/app

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
/opt/home/app/.e
/usr/share/license/%{name}

%config %{_sysconfdir}/skel/.e
